summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexandre Rostovtsev2012-10-11 12:47:16 (GMT)
committerAlexandre Rostovtsev2012-10-11 12:47:16 (GMT)
commita438aeeb5d2bf8890e1ae9ffde5d21890f192c30 (patch)
tree146080f8f2848494fad5d5c288bd7ce68d32be52
parenta2f1e235b2ce78e0b81f682c7d5b908eda8bd99f (diff)
app-i18n/ibus: fix dconf sandbox violations (#437794)
Run "dconf update" in pkg_postinst/postrm, not in src_install, to avoid sandbox violations when FEATURES=-userpriv. Thanks to Michael Hampicke for reporting (bug #437794 comment #3).
-rw-r--r--app-i18n/ibus/Manifest2
-rw-r--r--app-i18n/ibus/ibus-1.4.99.20121006.ebuild13
2 files changed, 14 insertions, 1 deletions
diff --git a/app-i18n/ibus/Manifest b/app-i18n/ibus/Manifest
index 8b6d19e..9946196 100644
--- a/app-i18n/ibus/Manifest
+++ b/app-i18n/ibus/Manifest
@@ -1,2 +1,2 @@
DIST ibus-1.4.99.20121006.tar.gz 1889138 SHA256 45ef3b81d92f72454676697dcd967fccefa2400507256c7d29b4586fe64dbd15 SHA512 00864a83af0124594313a3c89a699c14d8982f3f655526004ed87498081545d63ec83fbd41eb23264a32920e0bd8191c6c46bea23748ddb5c37f2eae5004f2a2 WHIRLPOOL 6dc24d24e170e4722baa2044abd42c24073e8ad93c8b63b15491b6492c91ca84eb31ffcd14a8eb43db0c9a2f4498103c353d4c1eff23a6b8d8a7e0b042a5466b
-EBUILD ibus-1.4.99.20121006.ebuild 3964 SHA256 c2d85ee1dd03a90c2afe1f6f368d40dcaf9f6b1546366dd09f4ab13dad3661a0 SHA512 ea1864c4a45f4715f5df8a7cff6b39c4c2ed6326a3a8dda7086625ad99b59b14fb1eaf41fc5f7c23b95dcdf6f5ee4e88cf05a37ae8697cf367dfd6840a0fca33 WHIRLPOOL 30dec423091a4f8223835bc77ca6a4225bd2b9a542acd2b8f8c24497329636971ff230ada4aeff7fddcaf4a540156af349d48dde4eeef635c428310773fd312f
+EBUILD ibus-1.4.99.20121006.ebuild 4300 SHA256 22f6d2c658eee5f2bb76212ce9c5677a8e04ade067563e6d42a7c30f204cec5a SHA512 468aa33cffa83577fcdb9f2dd58ec8579f05129234d401225751d6ed268968b731ffdc67488c01e55d108cbbc0f1131b69b37803cfca2506d0807496c7d570c4 WHIRLPOOL 404f699c42d1771ddfbf759366224e4aa596ebfe00fae102227f18cb58bf3522d68aeb10120c95046d249309d0b3c0d6c4e17093665095a7371ed422dfd539a1
diff --git a/app-i18n/ibus/ibus-1.4.99.20121006.ebuild b/app-i18n/ibus/ibus-1.4.99.20121006.ebuild
index d1dad30..6cd93d6 100644
--- a/app-i18n/ibus/ibus-1.4.99.20121006.ebuild
+++ b/app-i18n/ibus/ibus-1.4.99.20121006.ebuild
@@ -72,6 +72,9 @@ pkg_setup() {
}
src_prepare() {
+ # We run "dconf update" in pkg_postinst/postrm to avoid sandbox violations
+ sed -e 's/dconf update/$(NULL)/' \
+ -i data/dconf/Makefile.{am,in} || die
use python && python_clean_py-compile_files
use vala && vala_src_prepare
}
@@ -123,6 +126,11 @@ pkg_preinst() {
}
pkg_postinst() {
+ if use dconf; then
+ ebegin "Updating dconf system databases"
+ dconf update
+ eend $?
+ fi
use gconf && gnome2_gconf_install
use gtk && gnome2_query_immodules_gtk2
use gtk3 && gnome2_query_immodules_gtk3
@@ -149,6 +157,11 @@ pkg_postinst() {
}
pkg_postrm() {
+ if use dconf; then
+ ebegin "Updating dconf system databases"
+ dconf update
+ eend $?
+ fi
use gtk && gnome2_query_immodules_gtk2
use gtk3 && gnome2_query_immodules_gtk3
use deprecated && python_mod_cleanup ${PN}